%define prefix /opt/kde

Name: kcdwrite
Summary: KDE frontend for cd-writing tools.
Version: 0.0.1
Release: 1
Source:  %{name}-%{version}.tar.gz
URL: ftp://ftp.kde.org/pub/kde/unstable/apps/multimedia/cdrom
Group: X11/KDE/Utilities
Copyright: GPL
BuildRoot: /tmp/RPMBUILD/%{name}
Requires:  cdparanoia mkisofs cdrecord 
Prefix: %{prefix}
Packager: Brian Wright <bdw@aturna.com>
Vendor: Aturna Communications <http://www.aturna.net> 

%description
kcdwrite is a front-end to some terminal based cdr-tools which are listened
at the end of this document. This is the very first version and it currently
only supports audio cd-roasting. We hope to provide image-mastering and
ISO9660-cd duplicating as soon as possible.
 
Some hints: use dragn drop, try shift-left-click in list boxes and
run it as root. The output of cdrecord is currently beeing written to
/<buffer-path>/kcdwrite.log - look there for information when something
went wrong.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export KDEDIR=%{prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 

./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT \
--with-qt-dir=/usr/lib/qt-1.44 \
--with-qt-includes=/usr/lib/qt-1.44/include \
--with-qt-libraries=/usr/lib/qt-1.44/lib \


mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{name}

%files -f ../file.list.%{name}

%doc ChangeLog README NEWS COPYING

%changelog
* Thu Dec 9 1999 Brian Wright <bdw@aturna.com>
- Initial build for Red Hat Linux using /opt/kde


